<app-navbar-user></app-navbar-user>

<div class="container" style="overflow-y: hidden; overflow-x: hidden;">
  <h5 class="text-center" style="margin-top: 20px;">Today Total : {{babyKickList.length}}</h5>
  <div class="flex-container text-center" style="margin-top: 50px;">
    <button type="button" class="btn btn-primary btn-add-kick" (click)="addCount()">Kick!</button>
  </div>
  <div class="flex-container text-center" style="margin-right: -150px;">
    <button type="button" class="btn btn-warning btn-undo" (click)="undoCount()">Undo</button>
  </div>
  <div class="flex-container text-center" style="margin-top: 50px;">
    <h5>Today List</h5>
    <p *ngIf="babyKickList.length === 0"> Not Kicked</p>
    <ul class="list-group">
      <li style="margin-bottom: 10px;overflow-wrap: break-word;" *ngFor="let babyKick of babyKickList" class="list-group-item" [ngClass]="{'line-morning' : babyKick.phase === 'morning', 'line-afternoon' : babyKick.phase === 'afternoon', 'line-evening' : babyKick.phase === 'evening' }">
        <img  src="https://img.icons8.com/android/32/000000/right-footprint.png"/>
        <span style="float: right;" [ngClass]="{'line-morning' : babyKick.phase === 'morning', 'line-afternoon' : babyKick.phase === 'afternoon', 'line-evening' : babyKick.phase === 'evening' }"> | {{babyKick.created_date | date:"HH:mm:ss"}} </span>
      </li>
    </ul>
    
  </div>
</div>